This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 848100 - gnome-control-center: intel_resolve_map.c:46: intel_resolve_map_set: Assertion `(*tail)->need == need' failed.
gnome-control-center: intel_resolve_map.c:46: intel_resolve_map_set: Assertio...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 11:28 EDT by Martin
Modified: 2015-02-17 09:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:24:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin 2012-08-14 11:28:12 EDT
Description of problem:
Crash with:
gnome-control-center: intel_resolve_map.c:46: intel_resolve_map_set: Assertion `(*tail)->need == need' failed.


Version-Release number of selected component (if applicable):
control-center-3.5.5-2.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. Run Control Center
2. Navigate "Details"
  
Actual results:
crash

Expected results:
no crash

Additional info:
Thread 4 (Thread 0x7fffc63ef700 (LWP 3126)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
No locals.
#1  0x00007ffff5b09495 in g_cond_wait_until (cond=cond@entry=0x2bcff48, 
    mutex=mutex@entry=0x2bcff40, end_time=end_time@entry=943016953)
    at gthread-posix.c:855
        ts = {tv_sec = 943, tv_nsec = 16953000}
        status = <optimized out>
#2  0x00007ffff5aa3701 in g_async_queue_pop_intern_unlocked (queue=0x2bcff40, 
    wait=wait@entry=1, end_time=943016953) at gasyncqueue.c:424
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x00007ffff5aa3da8 in g_async_queue_timeout_pop_unlocked (
    queue=<optimized out>, timeout=timeout@entry=500000) at gasyncqueue.c:572
        end_time = <optimized out>
#4  0x00007ffff5af042a in g_thread_pool_wait_for_new_task (pool=0x188d700)
    at gthreadpool.c:264
        task = <optimized out>
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:298
        task = 0x2c22c30
        pool = 0x188d700
---Type <return> to continue, or q <return> to quit---
#6  0x00007ffff5aefd25 in g_thread_proxy (data=0x1878540) at gthread.c:801
        thread = 0x1878540
#7  0x00007ffff5870d15 in start_thread (arg=0x7fffc63ef700)
    at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7fffc63ef700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736519403264, 
                -868048304805487235, 1, 140737354125312, 140736519403264, 
                25745152, 867962002152119677, 868061837606673789}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#8  0x00007ffff55a382d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
No locals.

Thread 3 (Thread 0x7fffc6bf0700 (LWP 3123)):
#0  0x00007ffff559ad4d in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
---Type <return> to continue, or q <return> to quit---
#1  0x00007ffff5accf24 in g_main_context_poll (n_fds=1, fds=0x7fffc00010c0, 
    timeout=-1, context=0x2a90310, priority=<optimized out>) at gmain.c:3560
        poll_func = 0x7ffff5adadd0 <g_poll>
#2  g_main_context_iterate (context=context@entry=0x2a90310, 
    block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3261
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = 0x7fffc00010c0
#3  0x00007ffff5acd044 in g_main_context_iteration (context=0x2a90310, 
    may_block=1) at gmain.c:3327
        retval = <optimized out>
#4  0x00007fffc6bf719d in dconf_gdbus_worker_thread ()
   from /usr/lib64/gio/modules/libdconfsettings.so
No symbol table info available.
#5  0x00007ffff5aefd25 in g_thread_proxy (data=0x1712ed0) at gthread.c:801
        thread = 0x1712ed0
#6  0x00007ffff5870d15 in start_thread (arg=0x7fffc6bf0700)
    at pthread_create.c:308
        __res = <optimized out>
---Type <return> to continue, or q <return> to quit---
        pd = 0x7fffc6bf0700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736527795968, 
                -868048304805487235, 1, 140737354125312, 140736527795968, 
                44630800, 867963101126876541, 868061837606673789}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00007ffff55a382d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
No locals.

Thread 2 (Thread 0x7fffccb9f700 (LWP 3122)):
#0  0x00007ffff559ad4d in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
#1  0x00007ffff5accf24 in g_main_context_poll (n_fds=5, fds=0x7fffc8002ed0, 
    timeout=-1, context=0x16ef3d0, priority=<optimized out>) at gmain.c:3560
        poll_func = 0x7ffff5adadd0 <g_poll>
#2  g_main_context_iterate (context=0x16ef3d0, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3261
---Type <return> to continue, or q <return> to quit---
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 5
        allocated_nfds = <optimized out>
        fds = 0x7fffc8002ed0
#3  0x00007ffff5acd382 in g_main_loop_run (loop=0x16f58d0) at gmain.c:3460
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00007ffff65381c6 in gdbus_shared_thread_func (user_data=0x16ef3a0)
    at gdbusprivate.c:277
        data = 0x16ef3a0
#5  0x00007ffff5aefd25 in g_thread_proxy (data=0x16f2140) at gthread.c:801
        thread = 0x16f2140
#6  0x00007ffff5870d15 in start_thread (arg=0x7fffccb9f700)
    at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7fffccb9f700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736628127488, 
                -868048304805487235, 1, 140737354125312, 140736628127488, 
                24048544, 867941120021126525, 868061837606673789}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
---Type <return> to continue, or q <return> to quit---
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00007ffff55a382d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
No locals.

Thread 1 (Thread 0x7ffff7fc8980 (LWP 3119)):
#0  0x00007ffff54e7ba5 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
        resultvar = 0
        pid = 3119
        selftid = 3119
#1  0x00007ffff54e9358 in __GI_abort () at abort.c:90
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x7fffffffe60c, 
            sa_sigaction = 0x7fffffffe60c}, sa_mask = {__val = {
              140737310261277, 140737032482914, 46, 24219440, 140737308926993, 
              0, 6387893, 47291445568, 4, 140737488343952, 0, 0, 0, 
              140737310261083, 140737352839168, 140737310271368}}, 
          sa_flags = -455872394, sa_restorer = 0x7fffe4d3f090}
        sigs = {__val = {32, 0 <repeats 15 times>}}
---Type <return> to continue, or q <return> to quit---
#2  0x00007ffff54e0972 in __assert_fail_base (
    fmt=0x7ffff562a788 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", 
    assertion=assertion@entry=0x7fffe4d3f076 "(*tail)->need == need", 
    file=file@entry=0x7fffe4d3f062 "intel_resolve_map.c", line=line@entry=46, 
    function=function@entry=0x7fffe4d3f090 "intel_resolve_map_set")
    at assert.c:92
        str = 0x2c7df20 ""
        total = 4096
#3  0x00007ffff54e0a22 in __GI___assert_fail (
    assertion=0x7fffe4d3f076 "(*tail)->need == need", 
    file=0x7fffe4d3f062 "intel_resolve_map.c", line=46, 
    function=0x7fffe4d3f090 "intel_resolve_map_set") at assert.c:101
No locals.
#4  0x00007fffe4cc541b in intel_resolve_map_set ()
   from /usr/lib64/dri/i965_dri.so
No symbol table info available.
#5  0x00007fffe4cd6b51 in brw_draw_prims () from /usr/lib64/dri/i965_dri.so
No symbol table info available.
#6  0x00007fffe483f984 in vbo_draw_arrays () from /lib64/libdricore8.1.0.so.1
No symbol table info available.
#7  0x00007ffff4c4336b in _cogl_journal_flush_pipeline_and_entries ()
   from /lib64/libcogl.so.9
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#8  0x00007ffff4c43043 in _cogl_journal_flush_vbo_offsets_and_entries ()
   from /lib64/libcogl.so.9
No symbol table info available.
#9  0x00007ffff4c42ed6 in _cogl_journal_flush_clip_stacks_and_entries ()
   from /lib64/libcogl.so.9
No symbol table info available.
#10 0x00007ffff4c440bc in _cogl_journal_flush () from /lib64/libcogl.so.9
No symbol table info available.

#11 0x00007ffff4c46894 in cogl_framebuffer_clear4f () from /lib64/libcogl.so.9
No symbol table info available.
#12 0x00007ffff6e2ddae in clutter_stage_paint (self=0x14d18d0)
    at ./clutter-stage.c:709
        priv = 0x14d1c20
        clear_flags = <optimized out>
        bg_color = {red = 255 '\377', green = 255 '\377', blue = 255 '\377', 
          alpha = 255 '\377'}
        stage_color = {red = 255 '\377', green = 255 '\377', 
          blue = 255 '\377', alpha = 255 '\377', padding0 = 32767, 
          padding1 = 4294957936, padding2 = 32767}
        iter = {dummy1 = 0x7fff40000003, 
          dummy2 = 0x7ffff5db4e70 <g_type_class_meta_marshalv>, dummy3 = 0x1, 
          dummy4 = 0, dummy5 = 0x2}

        child = 0x3000000020
---Type <return> to continue, or q <return> to quit---
        real_alpha = <optimized out>
#13 0x00007ffff5db6ad7 in _g_closure_invoke_va (
    closure=closure@entry=0x644570, return_value=return_value@entry=0x0, 

    instance=instance@entry=0x14d18d0, args=args@entry=0x7fffffffdb78, 
    n_params=0, param_types=0x0) at gclosure.c:840
        marshal = 0x7ffff5db4e70 <g_type_class_meta_marshalv>
        marshal_data = 0xc8
        in_marshal = 0
        real_closure = 0x644550
        __PRETTY_FUNCTION__ = "_g_closure_invoke_va"
#14 0x00007ffff5dd02a5 in g_signal_emit_valist (instance=0x14d18d0, 
    signal_id=<optimized out>, detail=0, 
    var_args=var_args@entry=0x7fffffffdb78) at gsignal.c:3211
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x14d18d0, ihint = {
            signal_id = 247, detail = 0, run_type = G_SIGNAL_RUN_LAST}, 
          state = EMISSION_RUN, chain_type = 7735968}
---Type <return> to continue, or q <return> to quit---
        signal_id = 247
        instance_type = 7735968
        emission_return = {g_type = 0, data = {{v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        rtype = 4
        static_scope = 0
        closure = 0x644570
        run_type = <optimized out>
        hlist = 0x0
        l = <optimized out>
        fastpath = 0
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#15 0x00007ffff5dd0952 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3356
---Type <return> to continue, or q <return> to quit---
        var_args = {{gp_offset = 24, fp_offset = 48, 
            overflow_arg_area = 0x7fffffffdc50, 
            reg_save_area = 0x7fffffffdb90}}
#16 0x00007ffff6dcc21d in clutter_actor_continue_paint (
    self=self@entry=0x14d18d0) at ./clutter-actor.c:3858
        priv = <optimized out>
        __PRETTY_FUNCTION__ = "clutter_actor_continue_paint"
#17 0x00007ffff6dd9a53 in clutter_actor_paint (self=0x14d18d0)
    at ./clutter-actor.c:3783
        priv = 0x14d1910
        pick_mode = CLUTTER_PICK_NONE
        clip_set = 0
        shader_applied = 0
#18 0x00007ffff6dd9fa9 in clutter_actor_paint (self=<optimized out>)
    at ./clutter-actor.c:3805
No locals.
#19 0x00007ffff6e31cc9 in _clutter_stage_do_paint (stage=0x14d18d0, 
    clip=clip@entry=0x0) at ./clutter-stage.c:667
        priv = <optimized out>
        clip_poly = {0, 0, 740, 0, 740, 469, 0, 469}
        geom = {x = 0, y = 0, width = 740, height = 469}
#20 0x00007ffff6dc1b8a in clutter_stage_cogl_redraw (
    stage_window=<optimized out>) at cogl/clutter-stage-cogl.c:404
---Type <return> to continue, or q <return> to quit---
        stage_cogl = 0x147d180
        may_use_clipped_redraw = <optimized out>
        use_clipped_redraw = 0
        can_blit_sub_buffer = <optimized out>
        wrapper = <optimized out>
#21 0x00007ffff6e3081e in clutter_stage_do_redraw (stage=0x14d18d0)
    at ./clutter-stage.c:1168
        backend = 0x7610c0
        actor = 0x14d18d0
        priv = 0x14d1c20
#22 _clutter_stage_do_update (stage=0x14d18d0) at ./clutter-stage.c:1226
        priv = 0x14d1c20
#23 0x00007ffff6e1596d in master_clock_update_stages (stages=0x2c326a0, 
    master_clock=0x14cb680) at ./clutter-master-clock.c:386
        stages_updated = <optimized out>
        l = 0x2c326a0
        start = 942620644
#24 clutter_clock_dispatch (source=source@entry=0x14d2960, 
    callback=<optimized out>, user_data=<optimized out>)
    at ./clutter-master-clock.c:520
        clock_source = 0x14d2960
        master_clock = 0x14cb680
        stage_manager = <optimized out>
---Type <return> to continue, or q <return> to quit---
        stages_updated = 0
        stages = 0x2c326a0
#25 0x00007ffff5accc55 in g_main_dispatch (context=0x649870) at gmain.c:2691
        dispatch = 0x7ffff6e157c0 <clutter_clock_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0x0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0x14d2960, next = 0x0}
        need_destroy = <optimized out>
        source = 0x14d2960
        current = 0x157c270
        i = <optimized out>
#26 g_main_context_dispatch (context=context@entry=0x649870) at gmain.c:3195
No locals.
#27 0x00007ffff5accf88 in g_main_context_iterate (
    context=context@entry=0x649870, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3266
        max_priority = 150

        timeout = 0
        some_ready = 1
        nfds = <optimized out>
---Type <return> to continue, or q <return> to quit---
        allocated_nfds = <optimized out>
        fds = 0x16e3b70
#28 0x00007ffff5acd044 in g_main_context_iteration (context=0x649870, 
    context@entry=0x0, may_block=may_block@entry=1) at gmain.c:3327
        retval = <optimized out>
#29 0x00007ffff650477c in g_application_run (application=0x16ec020, 
    argc=argc@entry=1, argv=argv@entry=0x7fffffffe338) at gapplication.c:1607
        arguments = 0x75ab40
        status = 0
        i = <optimized out>

        __PRETTY_FUNCTION__ = "g_application_run"
#30 0x0000000000408f82 in main (argc=1, argv=0x7fffffffe338)
    at control-center.c:256
        shell = <optimized out>
        application = 0x16ec020
        status = <optimized out>
Comment 1 Martin 2012-08-14 11:31:47 EDT
Same crash when I start Gnome Documents:

gjs-console: intel_resolve_map.c:46: intel_resolve_map_set: Assertion `(*tail)->need == need' failed.
/usr/bin/gnome-documents: line 29:  3261 Aborted                 /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c "const Main = imports.main; Main.start();" "$@"
Comment 2 Fedora End Of Life 2013-04-03 10:14:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 12:19:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:24:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.